| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
The Match & Enrich API allows you to retrieve an enriched company profile by passing the company name and at least one additional identifier, such as an address, website, registry ID, or phone number, as input.
Required fields
The request payload must include the following elements:
- Values for either
legal_namesorcommercial_namesarrays . - At least one of the following fields:
address_txt,website,registry_idorphone_number.
Single company requestPlease note that one request must include information about a single company.
The
legal_namesandcommercial_namesfields are available as arrays to enable passing in name variations or historical names of the same company.
Enable Advanced Matching
While the API can operate with limited input, providing additional information will help avoid false positive matches.
Company names, especially commercial ones, are often very common. Therefore, a more comprehensive address_txt, along with the website of the company, registry_id or phone_number of the business , can be extremely helpful in enhancing the accuracy of the results.
Adding company detailsWhen extra information is supplied (e.g., a more detailed company address, website, registry_id or phone number), the matching process is designed to handle some inaccuracy in the input.
As a result, even in cases of typographical errors or minor differences in the input company name, the API can still make a match by using additional details, such as the phone number, to identify the appropriate company.
For additional information on matching, please refer to the How the API resolved a company section.
Successful responses
When the request is successful, a standard 200 OK HTTP status will be sent along with the expected JSON. The response will include the following fields:
resolution: object that holds the scenario label and a plain-language summary explaining how the input was interpreted and what type of result was returned, detailed in the How to analyze a match section .count: the total number of companies returned in the result array. A count of 0 indicates no match was found.result: the list of matched company profiles (up to five company profiles).
Response datapointsFor a comprehensive list of all data points returned and additional information, please refer to the Response Fields and Types page.
Error responses
If the request is unsuccessful, the API will return one of the below HTTP status responses:
400 Bad Request, if the input lacks any of the required fields .- other standard HTTP error responses, detailed in the Response codes section.
Any error response follows a specific structure. Please see the Error response format section for more details.
